Name:           autoconf213
Version:        2.13
Release:        44
Summary:        An extensible package to automatically configure software source code packages
License:        GPLv2+
URL:            https://www.gnu.org/software/autoconf/
Source0:        http://mirrors.ustc.edu.cn/gnu/autoconf/autoconf-2.13.tar.gz
BuildArch:      noarch
Patch0:         autoconf-2.12-race.patch
Patch1:         autoconf-2.13-mawk.patch
Patch2:         autoconf-2.13-notmp.patch
Patch3:         autoconf-2.13-c++exit.patch
Patch4:         autoconf-2.13-headers.patch
Patch6:         autoconf-2.13-exit.patch
Patch7:         autoconf-2.13-wait3test.patch
Patch8:         autoconf-2.13-make-defs-62361.patch
Patch9:         autoconf-2.13-versioning.patch
Patch10:        autoconf213-destdir.patch
Patch11:        autoconf213-info.patch
Patch12:        autoconf213-testsuite.patch

BuildRequires:  flex gawk dejagnu perl texinfo m4 gcc-c++
Requires:       coreutils gawk m4
Requires(post): texinfo
Requires(preun):texinfo

%description
Autoconf is an extensible package of M4 macros that produce shell scripts to automatically
configure software source code packages. These scripts can adapt the packages to many kinds
of UNIX-like systems without manual user intervention. Autoconf creates a configuration script
for a package from a template file that lists the operating system features that the package
can use, in the form of M4 macro calls

%package_help

%prep
%autosetup -n autoconf-%{version} -p1
mv autoconf.texi autoconf213.texi
rm -f autoconf.info

%build
%configure --program-suffix=-%{version}
%make_build

%install
%make_install
rm -f %{buildroot}%{_bindir}/autoscan-%{version}

%check
make check

%files
%doc README
%license AUTHORS COPYING
%{_bindir}/*
%{_datadir}/autoconf-%{version}/

%files help
%doc NEWS TODO
%{_infodir}/*.info*

%changelog
* Tue Oct 26 2021 caodongxia <caodongxia@huawei.com> - 2.13-44
- add buildRequire gcc-c++

* Fri Sep 25 2020 yanan li <liyanan32@huawei.com> - 2.13-43
- delete %post and %preun

* Thu Dec 5 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.13-42
- Change the URL to a valid one

* Thu Dec 5 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.13-41
- Package init
